Bug 226404 - security/strongswan: Fix crash in public key authentication with 5.6.2
Summary: security/strongswan: Fix crash in public key authentication with 5.6.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-06 20:16 UTC by strongswan
Modified: 2018-03-12 11:16 UTC (History)
2 users (show)

See Also:
strongswan: maintainer-feedback+
garga: merge-quarterly?


Attachments
Patch for public key auth scheme (1.88 KB, patch)
2018-03-06 20:16 UTC, strongswan
strongswan: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description strongswan 2018-03-06 20:16:44 UTC
Created attachment 191261 [details]
Patch for public key auth scheme

See https://wiki.strongswan.org/issues/2579
An issue existed with how the compiler optimise some code and caused a crash in the public key authentication of certificates.
Comment 1 Yuri Victorovich freebsd_committer 2018-03-06 21:56:56 UTC
Committed, thanks!
Comment 2 commit-hook freebsd_committer 2018-03-06 21:57:48 UTC
A commit references this bug:

Author: yuri
Date: Tue Mar  6 21:56:49 UTC 2018
New revision: 463768
URL: https://svnweb.freebsd.org/changeset/ports/463768

Log:
  security/strongswan: Fix crash in public key authentication with 5.6.2

  While here, added LICENSE_FILE.

  PR:		226404
  Submitted by:	strongswan@Nanoteq.com (maintainer)
  Approved by:	tcberner (mentor, implicit)

Changes:
  head/security/strongswan/Makefile
  head/security/strongswan/files/patch-src_libcharon_sa_ikev2_authenticators_pubkey_authenticator.c
Comment 3 Renato Botelho freebsd_committer 2018-03-09 10:56:29 UTC
Please merge it to 2018Q1 branch since the upgrade from 5.6.0 -> 5.6.2 was committed there too
Comment 4 commit-hook freebsd_committer 2018-03-11 08:49:29 UTC
A commit references this bug:

Author: yuri
Date: Sun Mar 11 08:49:07 UTC 2018
New revision: 464151
URL: https://svnweb.freebsd.org/changeset/ports/464151

Log:
  MFH: r463768

  security/strongswan: Fix crash in public key authentication with 5.6.2

  While here, added LICENSE_FILE.

  PR:		226404
  Submitted by:	strongswan@Nanoteq.com (maintainer)
  Approved by:	tcberner (mentor, implicit)
  Approved by:	ports-secteam (lists@eitanadler.com)

Changes:
_U  branches/2018Q1/
  branches/2018Q1/security/strongswan/Makefile
  branches/2018Q1/security/strongswan/files/patch-src_libcharon_sa_ikev2_authenticators_pubkey_authenticator.c